<template>
    <div class="leftMnu">
        <div class="menuBox">
            <chart-vue></chart-vue>
        </div>
        <div class="menuBox">
            <chart-vue1></chart-vue1>
        </div>
        <div class="menuBox">
            <chart-vue2></chart-vue2>
        </div>
    </div>
</template>

<script>
import * as echarts from 'echarts';
import chartVue from './list/chart.vue';
import chartVue1 from './list/chart1.vue';
import chartVue2 from './list/chart2.vue';
import data from './data.js';
export default {
    components: {
        chartVue, chartVue1, chartVue2
    },
    props: {
        leftChartData: {
            type: Object,
            required: true
        },
    },
    computed: {

    },
    data() {
        return {
            childData: null,
            childData1: null,
            childData2: null,
        }
    },
    watch: {

    },

    mounted() {
        window.regionWeather = null;

    },
    methods: {
       
    }
}
</script>

<style lang="scss" scoped>
.leftMnu {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    .menuBox {
        width: 100%;
        height: 33%;
        background: url(~@/assets/images/Screen/chartbg.png);
        background-size: 100% 100%;
        background-repeat: no-repeat;
        display: flex;
        flex-direction: column;

        .aside-title {
            box-sizing: border-box;
            padding-left: 30px;
            font-size: 15px;
            font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
            color: #fff;
            width: 100%;
            height: 45px;
            line-height: 45px;
            // background: url(~@/assets/images/Screen/asideTitleBg.png);
            background-size: 100% 100%;
            background-repeat: no-repeat;
        }

        .echartBox {
            flex: 1;
            padding: 5px;
            position: relative;

            .chartBox {
                width: calc(100% - 10px);
                height: calc(100% - 10px);
                position: absolute;
            }
        }
    }
}
</style>